<?php

namespace App\Enums;

enum EventType: string
{
    case AnnualInPersonMeeting = 'AnnualInPersonMeeting';
    case Conference = 'Conference';
    case Osces = 'Osces';
    case ResearchRetreat = 'ResearchRetreat';

    public function label(): string
    {
        return match($this) {
            self::AnnualInPersonMeeting => 'Annual In-Person Meeting',
            self::Conference => 'Conference',
            self::Osces => 'OSCEs',
            self::ResearchRetreat => 'Research Retreat',
        };
    }
}
